<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
    <style>
      *{
          margin: 0;
          padding: 0;
          font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

      }
      body{
          width: 100%;
          height: 100%;
      }
      #header{
          background-image: url('./header.jpg');
          background-position-y: center;
          height: 300px;
          width: 80%;
          margin-left: 10%;
          position: fixed;
      }
      #top-box{
          background: orange;
          text-align: center;
          font-weight: bold;
          padding: 10px;
          /* display: flex; */
          border: 1px solid black;
          
      }
     
      #left-box{
        background: blue;
          height: 10px;
          width: 100px;
          padding: 10px;
          left: 0px;
          bottom: 0px;
          position: absolute;
          text-align: center;
          border: 1px solid black;
      }
      #middle{
        background:rgb(255, 255, 255, 0.5);
          height: 10px;
          width: calc(100% - 266px);
          padding: 10px;
          position: absolute;
          /* right: 122px; */
          bottom: 0px;
          left: 122px;
          border: 1px solid black;
          text-align: center;
          font-weight: bold;
      }
      #right{
        background: green;
          height: 10px;
          width: 100px;
          padding: 10px;
          position: absolute;
          right: 0px;
          bottom: 0px;
          text-align: center;
          border: 1px solid black;
      }
      #content{
          width: 80%;
          margin-left: 10%;
          padding-top: 310px;

      }
      p{
          font-size: 1.8em;

      }
     #left-nav{
          background: coral;
          position: fixed;
          left: 0;
          bottom: 0;
          width: 40px;
          top: 0;
          cursor: pointer;
          z-index: 10;
          transition: 1s;
          opacity: 95%;
          overflow: hidden;
          color: white;

      }
      #nav-button-container{
          cursor: pointer;
          margin-left: 10px;
          margin-top: 10px;
      }
      .nav-item{  
          width: 100px;
          margin-left: 50px;
          color: white;
          height: 50px;
          border-bottom: 2px dotted;
          display: flex;
          align-items: center;
      }
.nav-item a{
    color: white;
    text-decoration: none;
}
.nav-item a:hover{
background: lightgrey;
}
    </style>
</head>
<body>
    <nav id="left-nav" > 
       <div id="nav-button-container" onclick="toggleNavigation()"> 
        <i class="material-icons">view_headline</i>
    </div>
      <div class="nav-item">  <a href="http://www.postimees.ee">Postimees</a></div>
       <div class="nav-item"> <a href="http://www.err.ee">Eesti Rahvusringhääling</a></div>
       <div class="nav-item"> <a href="http://www.delfi.ee">Delfi</a></div>
    </nav>
    <div id= "header">
    <div id="top-box">Super cool header!</div>
    <div id= "left-box">The left box</div>
    <div id= "middle">Positioning is easy</div>
    <div id= "right">The right box</div>
    </div>
    <div id= "content">
       <p><h1>Lorem ipsum</h1></p> 
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Eius quidem ex sequi aliquam ratione laboriosam odio accusantium ducimus magnam consequuntur dolorem similique aspernatur maxime nobis praesentium, molestias voluptatum et libero?
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Aperiam architecto culpa dignissimos facilis magnam consequuntur magni ducimus corrupti totam voluptatibus aliquam, id commodi animi incidunt, mollitia assumenda. Minima, voluptatibus animi?
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloribus numquam, similique quod ducimus suscipit repellat laborum! Beatae, corrupti sint iste temporibus quis culpa est sed, quasi natus tempora fuga obcaecati?
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Autem, molestias quos ab doloremque quam nulla, temporibus tempora corporis praesentium explicabo soluta? Ratione dolorem quas sint aspernatur repellat doloremque cum voluptatem.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Recusandae vitae laboriosam consequatur? Accusantium, obcaecati molestias, enim quisquam iste dolorum expedita laborum vero sequi numquam corrupti optio dolore nisi commodi perspiciatis.
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae optio numquam quisquam quam, hic error accusantium porro obcaecati consectetur quaerat enim earum voluptatum mollitia sequi soluta ad recusandae iure vero.
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Rerum, voluptas, doloribus incidunt sapiente minus voluptatem quia quam ad dolor cumque reiciendis repudiandae suscipit autem quibusdam necessitatibus, repellendus maxime perspiciatis aspernatur?
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime corporis cupiditate animi rerum velit pariatur hic tempore! Reprehenderit, vel iusto ea exercitationem sunt assumenda, odio eaque deserunt officiis voluptatem sequi.
            </p>  
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Eius quidem ex sequi aliquam ratione laboriosam odio accusantium ducimus magnam consequuntur dolorem similique aspernatur maxime nobis praesentium, molestias voluptatum et libero?
Lorem ipsum dolor sit amet consectetur, adipisicing elit. Aperiam architecto culpa dignissimos facilis magnam consequuntur magni ducimus corrupti totam voluptatibus aliquam, id commodi animi incidunt, mollitia assumenda. Minima, voluptatibus animi?
Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloribus numquam, similique quod ducimus suscipit repellat laborum! Beatae, corrupti sint iste temporibus quis culpa est sed, quasi natus tempora fuga obcaecati?
Lorem ipsum dolor sit amet consectetur adipisicing elit. Autem, molestias quos ab doloremque quam nulla, temporibus tempora corporis praesentium explicabo soluta? Ratione dolorem quas sint aspernatur repellat doloremque cum voluptatem.
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Recusandae vitae laboriosam consequatur? Accusantium, obcaecati molestias, enim quisquam iste dolorum expedita laborum vero sequi numquam corrupti optio dolore nisi commodi perspiciatis.
Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae optio numquam quisquam quam, hic error accusantium porro obcaecati consectetur quaerat enim earum voluptatum mollitia sequi soluta ad recusandae iure vero.
Lorem, ipsum dolor sit amet consectetur adipisicing elit. Rerum, voluptas, doloribus incidunt sapiente minus voluptatem quia quam ad dolor cumque reiciendis repudiandae suscipit autem quibusdam necessitatibus, repellendus maxime perspiciatis aspernatur?
Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime corporis cupiditate animi rerum velit pariatur hic tempore! Reprehenderit, vel iusto ea exercitationem sunt assumenda, odio eaque deserunt officiis voluptatem sequi.
</p>  
</div>
    

  <script>
      let isNavigationOpen = false;

      function openLeftNavigation() {
        let navigationElement = document.querySelector('#left-nav');
        navigationElement.style.width = '100%';
        isNavigationOpen = true;
       
    }
    function closeLeftNavigation() {
        let navigationElement = document.querySelector('#left-nav');
        navigationElement.style.width = '40px';
        isNavigationOpen = false;
       
    }
    function toggleNavigation(){
        let menuButtonContainer = document.querySelector('#nav-button-container');

    if(isNavigationOpen){
        menuButtonContainer.innerHTML = '<i class="material-icons">view_headline</i>';
        closeLeftNavigation();
    } else {
    menuButtonContainer.innerHTML = '<i class="material-icons">close</i>';
    openLeftNavigation();

}
    }
  </script>

</body>
</html>